@using Microsoft.AspNetCore.Identity
@using WebApplication.Models
@using ent.Models;
@using Microsoft.AspNetCore.Http;
@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager

@if (SignInManager.IsSignedIn(User))
{
    <form asp-controller="Account" asp-action="LogOff" method="post" id="logoutForm" class="navbar-right">
        <ul class="nav navbar-nav navbar-right">
            <li>
                <a asp-controller="Manage" asp-action="Index" title="Manage">Hello @UserManager.GetUserName(User)!</a>
            </li>
            <li>
                         
            </li>
            <li>
                <button type="submit" class="btn btn-link navbar-btn navbar-link">Log off</button>
            </li>
        </ul>
    </form>
}
else
{
    <ul class="nav navbar-nav navbar-right">
        <!--<li><a asp-controller="Account" asp-action="Register">Register</a></li>-->
        <li><a href="@Context.Session.GetString("ProfileImageUrl")" target="_blank" style="font-weight: bolder;color:white;cursor:pointer;padding: 5px;">@Context.Session.GetString("UserName") &nbsp;&nbsp; <img class="img-circle" src="@Context.Session.GetString("ProfileImageUrl")" alt=""></a></li>
        <li><a id="LogOut" asp-controller="Home" asp-action="LogOut">Log Out</a></li>
    </ul>
}
